{#
    POSSIBLE LAYOUT VALUES:
    "image_right"
    "image_left"
    "full_width_image_first"
    "full_width_text_first"
#}

{% macro render_text() %}
    <div class="custom-accordion__text">
        {{ content|safe }}
    </div>
{% endmacro %}

{% macro render_image() %}
    {% if image_url %}
        <div class="custom-accordion__image">
            <img src="{{ image_url }}" />
        </div>
    {% endif %}
{% endmacro %}

{% set id = range(10000000000)|random %}

<div class="custom-accordion custom-accordion__default">
    <button class="custom-accordion__toggle-btn {% if not is_open %}collapsed{% endif %}"
            type="button"
            data-toggle="collapse"
            data-target="#accordion-{{ id }}"
            aria-expanded="{% if is_open %}true{% else %}false{% endif %}"
            aria-controls="accordion-{{ id }}">
        <h3>{{ title }}</h3>
        <svg class="icon-plus" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
            <path d="M14 23H10L10 1L14 1L14 23Z" fill="currentColor"/>
            <path d="M1 14L1 10L23 10V14L1 14Z" fill="currentColor"/>
        </svg>
        <svg class="icon-minus" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
            <path d="M1 14L1 10L23 10V14L1 14Z" fill="currentColor"/>
        </svg>
    </button>

    <div class="collapse {% if is_open %}in{% endif %}" id="accordion-{{ id }}">
        <div class="custom-accordion__content">
            <div class="custom-accordion__content-row {{ layout.value }} {% if limit_text_width %}limit-size{% endif %}">
                {% if layout.value == "image_right" or layout.value == "full_width_text_first" %}
                    {{ render_text() }}
                    {{ render_image() }}
                {% else %}
                    {{ render_image() }}
                    {{ render_text() }}
                {% endif %}
            </div>
        </div>
    </div>
</div>
